Connect Avura
import requests
url = "https://platform.ankra.app/api/v1/org/avura/connection"
payload = {
"api_token": "<string>",
"avura_organization_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({api_token: '<string>', avura_organization_id: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/avura/connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/avura/connection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"api_token": "<string>",
"avura_organization_id": "<string>"
}
'{
"connected": true,
"organisation_id": "<string>",
"zone_count": 123,
"credential_name": "<string>",
"base_url": "<string>",
"avura_organization_id": "<string>",
"avura_organization_name": "<string>",
"verified_at": "<string>",
"status": "connected",
"zone_names": [
"<string>"
],
"rotated": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Avura
Connect Avura
Store or rotate the platform service token an Avura organization minted for Ankra Platform. The token is verified against base_url before anything is stored. Requires an organisation admin.
PUT
/
api
/
v1
/
org
/
avura
/
connection
Connect Avura
import requests
url = "https://platform.ankra.app/api/v1/org/avura/connection"
payload = {
"api_token": "<string>",
"avura_organization_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({api_token: '<string>', avura_organization_id: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/avura/connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/avura/connection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"api_token": "<string>",
"avura_organization_id": "<string>"
}
'{
"connected": true,
"organisation_id": "<string>",
"zone_count": 123,
"credential_name": "<string>",
"base_url": "<string>",
"avura_organization_id": "<string>",
"avura_organization_name": "<string>",
"verified_at": "<string>",
"status": "connected",
"zone_names": [
"<string>"
],
"rotated": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Avura platform service token (avk_...).
Platform organisation to link; defaults to the caller's current one.
Avura origin that minted the token; defaults to https://avura.work.
Response
Successful Response
Available options:
connected, token_rejected, unavailable